Skip to Content
veriom

Rotate audit stream secret

Sign the next batch with a new secret, shown only in this response.

POST
/v1/workspaces/{workspace_id}/audit-streams/{stream_id}/rotate-secret

Sign the next batch with a new secret, shown only in this response.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
stream_id*Stream Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
id*Id
Formatuuid
secret*Secret

The new signing secret, shown only in this response.

Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-streams/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-secret'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "secret": "string"}